﻿#region Copyright
/*
* Copyright © 2014-2016 NetApp, Inc. All Rights Reserved.
*
* CONFIDENTIALITY NOTICE: THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION OF
* NETAPP, INC. USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED WITHOUT THE PRIOR
* EXPRESS WRITTEN PERMISSION OF NETAPP, INC.
*/
#endregion

#region Using Directives

using System.Management.Automation;
using SolidFire.Core;
using System.Collections;
using System.Linq;
using SolidFire.Element.Api;

#endregion

namespace SolidFire.Cluster.Get
{
    [Cmdlet(VerbsCommon.Get, "SFServices")]
    public class Get_SFServices : SFCmdlet
    {

        #region Cmdlet Overrides
        protected override void BeginProcessing()
        {
            base.BeginProcessing();
            CheckConnection();
        }

        protected override void ProcessRecord()
        {
            base.ProcessRecord();
            WriteObject(SendRequest<ListServicesResult>("ListServices").Select(r => r.Result.Services), true);
        }

        #endregion
    }
}