﻿#region Copyright
/*
* Copyright © 2014-2016 NetApp, Inc. All Rights Reserved.
*
* CONFIDENTIALITY NOTICE: THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION OF
* NETAPP, INC. USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED WITHOUT THE PRIOR
* EXPRESS WRITTEN PERMISSION OF NETAPP, INC.
*/
#endregion

#region Using Directives

using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Management.Automation;
using SolidFire.Core.Extensions;
using SolidFire.Core.Helpers;
using SolidFire.Core.Validation;
using System.Management.Automation.Runspaces;
using SolidFire.Core;
using SolidFire.Exceptions;
using SolidFire.Element.Api;

#endregion

namespace SolidFire.Account.Get
{
    
    [Cmdlet(VerbsCommon.Get, "SFLoginBanner")]
    public class GetSFLoginBanner : SFCmdlet
    {
        #region Private Data

        #endregion

        #region Parameters
        
        #endregion

        #region Cmdlet Overrides

        protected override void BeginProcessing()
        {
            base.BeginProcessing();
            CheckConnection();
        }

        protected override void ProcessRecord()
        {
            base.ProcessRecord();

            var results = SendRequest<GetLoginBannerResult>(method: "GetLoginBanner");
            WriteObject(results.Select(r => r.Result.LoginBanner));

        }
        #endregion
    }
}