﻿#region Copyright
/*
* Copyright © 2014-2016 NetApp, Inc. All Rights Reserved.
*
* CONFIDENTIALITY NOTICE: THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION OF
* NETAPP, INC. USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED WITHOUT THE PRIOR
* EXPRESS WRITTEN PERMISSION OF NETAPP, INC.
*/
#endregion

#region Using Directives

using System;
using System.ComponentModel;
using System.Management.Automation;
using SolidFire.Core;
using SolidFire.Element.Api;
using System.Linq;
#endregion

namespace SolidFire.Cluster.Test
{
    
    [Cmdlet(VerbsDiagnostic.Test, "SFSendSnmpTrap")]
    public class TestSFSendSnmpTrap : SFCmdlet
    {
        #region Private Data

        #endregion

        #region Parameters

        #endregion

        #region Cmdlet Overrides

        protected override void BeginProcessing()
        {
            base.BeginProcessing();
            CheckConnection();
        }
        
        protected override void ProcessRecord()
        {
            base.ProcessRecord();

            var objsFromAPI = SendRequest<SnmpSendTestTrapsResult>("SnmpSendTestTraps");

            WriteObject(objsFromAPI.Select(o => o.Result), true);

        }

        #endregion
    }
}